#################################################
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### tdeio_appinfo (module) #######################

set( target universal-indent-gui-tqt )

set( ${target}_SRCS
  # completed
  AboutDialogBase.ui
  MainWindowBase.ui
  ToolBarWidget.ui
  UiGuiInfoDialogBase.ui
  UiGuiSettingsDialogBase.ui

  main.cpp
  IndentHandler.cpp
  SettingsPaths.cpp
  TemplateBatchScript.cpp
  UiGuiErrorMessage.cpp
  UiGuiHighlighter.cpp
  UiGuiInfoDialog.cpp
  UiGuiIniFileParser.cpp
  UiGuiSettings.cpp

  # ongoing

  AboutDialog.cpp
  MainWindow.cpp
  UiGuiSettingsDialog.cpp
)

tde_add_executable( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK ${TQT_LIBRARIES} ${TQSCINTILLA_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)
